=head1 NAME

Goo::Canvas::ItemSimple - wrapper for GooCanvasItemSimple

=cut

=head1 HIERARCHY

  Glib::Object
  +----Goo::Canvas::ItemSimple



=cut

=head1 INTERFACES

  Goo::Canvas::Item



=cut


=head1 METHODS

=head2 $item-E<gt>B<goo_canvas_item_simple_changed> ($recompute_bounds)

=over

=item * $recompute_bounds (boolean) 

=back

=head2 boolean = $item-E<gt>B<goo_canvas_item_simple_check_in_path> ($x, $y, $cr, $pointer_events)

=over

=item * $x (double) 

=item * $y (double) 

=item * $cr (cairo_t) 

=item * $pointer_events (Goo::Canvas::PointerEvents) 

=back

=head2 $item-E<gt>B<goo_canvas_item_simple_check_style> 

=head2 GooCanvasBounds = $item-E<gt>B<goo_canvas_item_simple_get_path_bounds> ($cr)

=over

=item * $cr (cairo_t) 

=back

=head2 $item-E<gt>B<goo_canvas_item_simple_paint_path> ($cr)

=over

=item * $cr (cairo_t) 

=back

=head2 $item-E<gt>B<goo_canvas_item_simple_set_model> ($model)

=over

=item * $model (Goo::Canvas::ItemModel) 

=back

=head2 GooCanvasBounds = $item-E<gt>B<goo_canvas_item_simple_user_bounds_to_device> ($cr)

=over

=item * $cr (cairo_t) 

=back

=head2 GooCanvasBounds = $item-E<gt>B<goo_canvas_item_simple_user_bounds_to_parent> ($cr)

=over

=item * $cr (cairo_t) 

=back



=cut


=head1 PROPERTIES

=over

=item 'antialias' (Goo::Cairo::Antialias : default "gray" : readable / writable)

The antialiasing mode to use

=item 'clip-fill-rule' (Goo::Cairo::FillRule : default "winding" : readable / writable)

The fill rule used to determine which parts of the item are clipped

=item 'clip-path' (string : default undef : writable)

The sequence of path commands specifying the clip path

=item 'fill-color' (string : default undef : writable)

The color to use to paint the interior of the item. To disable painting set the 'fill-pattern' property to NULL

=item 'fill-color-rgba' (Glib::UInt : default 0 : readable / writable)

The color to use to paint the interior of the item, specified as a 32-bit integer value. To disable painting set the 'fill-pattern' property to NULL

=item 'fill-pattern' (Goo::Cairo::Pattern : default undef : readable / writable)

The pattern to use to paint the interior of the item, or NULL to disable painting

=item 'fill-pixbuf' (Gtk2::Gdk::Pixbuf : default undef : writable)

The pixbuf to use to paint the interior of the item. To disable painting set the 'fill-pattern' property to NULL

=item 'fill-rule' (Goo::Cairo::FillRule : default "winding" : readable / writable)

The fill rule used to determine which parts of the item are filled

=item 'font' (string : default undef : readable / writable)

The base font to use for the text

=item 'font-desc' (Pango::FontDescription : default undef : readable / writable)

The attributes specifying which font to use

=item 'hint-metrics' (GooCairoHintMetrics : default "off" : readable / writable)

The hinting to be used for font metrics

=item 'line-cap' (Goo::Cairo::LineCap : default "butt" : readable / writable)

The line cap style to use

=item 'line-dash' (Goo::Canvas::LineDash : default undef : readable / writable)

The dash pattern to use

=item 'line-join' (Goo::Cairo::LineJoin : default "miter" : readable / writable)

The line join style to use

=item 'line-join-miter-limit' (double : default 10 : readable / writable)

The smallest angle to use with miter joins, in degrees. Bevel joins will be used below this limit

=item 'line-width' (double : default 2 : readable / writable)

The line width to use for the item's perimeter

=item 'operator' (Goo::Cairo::Operator : default "over" : readable / writable)

The compositing operator to use

=item 'stroke-color' (string : default undef : writable)

The color to use for the item's perimeter. To disable painting set the 'stroke-pattern' property to NULL

=item 'stroke-color-rgba' (Glib::UInt : default 0 : readable / writable)

The color to use for the item's perimeter, specified as a 32-bit integer value. To disable painting set the 'stroke-pattern' property to NULL

=item 'stroke-pattern' (Goo::Cairo::Pattern : default undef : readable / writable)

The pattern to use to paint the perimeter of the item, or NULL disable painting

=item 'stroke-pixbuf' (Gtk2::Gdk::Pixbuf : default undef : writable)

The pixbuf to use to draw the item's perimeter. To disable painting set the 'stroke-pattern' property to NULL

=back



=cut


=head1 ENUMS AND FLAGS

=head2 enum Goo::Cairo::Antialias

=over

=item * 'default' / 'CAIRO_ANTIALIAS_DEFAULT'

=item * 'none' / 'CAIRO_ANTIALIAS_NONE'

=item * 'gray' / 'CAIRO_ANTIALIAS_GRAY'

=item * 'subpixel' / 'CAIRO_ANTIALIAS_SUBPIXEL'

=back


=head2 enum Goo::Cairo::FillRule

=over

=item * 'winding' / 'CAIRO_FILL_RULE_WINDING'

=item * 'even-odd' / 'CAIRO_FILL_RULE_EVEN_ODD'

=back


=head2 enum Goo::Cairo::LineCap

=over

=item * 'butt' / 'CAIRO_LINE_CAP_BUTT'

=item * 'round' / 'CAIRO_LINE_CAP_ROUND'

=item * 'square' / 'CAIRO_LINE_CAP_SQUARE'

=back


=head2 enum Goo::Cairo::LineJoin

=over

=item * 'miter' / 'CAIRO_LINE_JOIN_MITER'

=item * 'round' / 'CAIRO_LINE_JOIN_ROUND'

=item * 'bevel' / 'CAIRO_LINE_JOIN_BEVEL'

=back


=head2 enum Goo::Cairo::Operator

=over

=item * 'clear' / 'CAIRO_OPERATOR_CLEAR'

=item * 'source' / 'CAIRO_OPERATOR_SOURCE'

=item * 'over' / 'CAIRO_OPERATOR_OVER'

=item * 'in' / 'CAIRO_OPERATOR_IN'

=item * 'out' / 'CAIRO_OPERATOR_OUT'

=item * 'atop' / 'CAIRO_OPERATOR_ATOP'

=item * 'dest' / 'CAIRO_OPERATOR_DEST'

=item * 'dest-over' / 'CAIRO_OPERATOR_DEST_OVER'

=item * 'dest-in' / 'CAIRO_OPERATOR_DEST_IN'

=item * 'dest-out' / 'CAIRO_OPERATOR_DEST_OUT'

=item * 'dest-atop' / 'CAIRO_OPERATOR_DEST_ATOP'

=item * 'xor' / 'CAIRO_OPERATOR_XOR'

=item * 'add' / 'CAIRO_OPERATOR_ADD'

=item * 'saturate' / 'CAIRO_OPERATOR_SATURATE'

=back


=head2 flags Goo::Canvas::PointerEvents

=over

=item * 'visible-mask' / 'GOO_CANVAS_EVENTS_VISIBLE_MASK'

=item * 'painted-mask' / 'GOO_CANVAS_EVENTS_PAINTED_MASK'

=item * 'fill-mask' / 'GOO_CANVAS_EVENTS_FILL_MASK'

=item * 'stroke-mask' / 'GOO_CANVAS_EVENTS_STROKE_MASK'

=item * 'none' / 'GOO_CANVAS_EVENTS_NONE'

=item * 'visible-painted' / 'GOO_CANVAS_EVENTS_VISIBLE_PAINTED'

=item * 'visible-fill' / 'GOO_CANVAS_EVENTS_VISIBLE_FILL'

=item * 'visible-stroke' / 'GOO_CANVAS_EVENTS_VISIBLE_STROKE'

=item * 'visible' / 'GOO_CANVAS_EVENTS_VISIBLE'

=item * 'painted' / 'GOO_CANVAS_EVENTS_PAINTED'

=item * 'fill' / 'GOO_CANVAS_EVENTS_FILL'

=item * 'stroke' / 'GOO_CANVAS_EVENTS_STROKE'

=item * 'all' / 'GOO_CANVAS_EVENTS_ALL'

=back


=head2 enum GooCairoHintMetrics

=over

=item * 'default' / 'CAIRO_HINT_METRICS_DEFAULT'

=item * 'off' / 'CAIRO_HINT_METRICS_OFF'

=item * 'on' / 'CAIRO_HINT_METRICS_ON'

=back




=cut


=head1 SEE ALSO

L<Glib::Object>


=cut


=head1 COPYRIGHT


Copyright (C) 2017 Gtk2-Perl Team




=cut

